import SimpleOpenNI.*;
SimpleOpenNI kinect;

void setup() {
  size(640, 480); // 画面サイズの設定
  kinect = new SimpleOpenNI(this); // 初期化
  kinect.enableDepth(); // 深度画像の有効化
}

void draw() {  
  background(0); // 背景の初期化
  kinect.update(); // データの更新
  image(kinect.depthImage(), 0, 0); // 描画
  
  // マウスカーソルがある場所の距離を表示
  int[] depthMap = kinect.depthMap();
  int index = mouseX + mouseY * width;
  int d = depthMap[index];
  println(d + " mm");
}

